
package product;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.*;

import business.*;
import data.*;
import java.util.ArrayList;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;

/**
 *
 * @author theebasoundararajan
 */
@WebServlet(name = "UpdateConfirmedServlet", urlPatterns = {"/admin/updateConfirmed"})
public class UpdateConfirmedServlet extends HttpServlet 
{

    
    
    protected void doPost(HttpServletRequest request, 
                         HttpServletResponse response)
                         throws ServletException, IOException
    {
        
        
        
        String Code = request.getParameter("Code");
        String Description = request.getParameter("Description");
        String Price = request.getParameter("Price");
        
        if(Price == null)
        Price="0.0";
        Double Pricedb = Double.parseDouble(Price);
        
        if(Code == null)
        Code = ""; 
        
        if(Description == null)
        Description = "";
        
        Product product = new Product(Code, Description, Pricedb);
        String message = ""; 
        String url = "";
        
        if(Code.length() == 0 ||
        Price.length() == 0 ||
        Description.length() == 0) 
        {
               message = "Please fill out all three textboxes";
               url = "/admin/updateConfirmed.jsp";
        }
         else
         {
            ProductDB.updateProduct(product);
            url="/admin/updateConfirmed.jsp";
            request.setAttribute("Code", Code);
            request.setAttribute("Description", Description);
            request.setAttribute("Price", Price);
         }
            request.setAttribute("message", message);
            RequestDispatcher dispatcher =
            getServletContext().getRequestDispatcher(url);
            dispatcher.forward(request, response);      
 
    }
    
    protected void doGet(HttpServletRequest request, 
                         HttpServletResponse response)
                         throws ServletException, IOException
    {
        
        
        
         String Code = request.getParameter("Code");
        String Description = request.getParameter("Description");
        String Price = request.getParameter("Price");
        
        if(Price == null)
        Price="0.0";
        Double Pricedb = Double.parseDouble(Price);
        
        if(Code == null)
        Code = ""; 
        
        if(Description == null)
        Description = "";
        
        Product product = new Product(Code, Description, Pricedb);
        String message = ""; 
        String url = "";
        
        if(Code.length() == 0 ||
        Price.length() == 0 ||
        Description.length() == 0) 
        {
               message = "Please fill out all three textboxes";
               url = "/admin/updateConfirmed.jsp";
        }
         else
         {
            ProductDB.updateProduct(product);
            url="/admin/updateConfirmed.jsp";
            request.setAttribute("Code", Code);
            request.setAttribute("Description", Description);
            request.setAttribute("Price", Price);
         }
            request.setAttribute("message", message);
            RequestDispatcher dispatcher =
            getServletContext().getRequestDispatcher(url);
            dispatcher.forward(request, response);      
       
        
        
        
        
       
    }
    
}
