
package product;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.*;

import business.*;
import data.*;
import java.util.ArrayList;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;

/**
 *
 * @author theebasoundararajan
 */
@WebServlet(name = "UpdateProductServlet", urlPatterns = {"/admin/updateProduct"})
public class UpdateProductServlet extends HttpServlet 
{
protected void doPost(HttpServletRequest request, 
                         HttpServletResponse response)
                         throws ServletException, IOException
    {
        
        String Code = request.getParameter("productCode");
        String Description = request.getParameter("productDesc");
        String Price = request.getParameter("productPrice");
        String url = "";
        
        if(Price == null)
        Price="0.0";
        Double Pricedb = Double.parseDouble(Price);
        
        if(Code == null)
        Code = ""; 
        
        if(Description == null)
        Description = "";
        
        Product product = new Product(Code, Description, Pricedb);
        
            request.setAttribute("Code", Code);
            request.setAttribute("Description", Description);
            request.setAttribute("Price", Price);
            url = "/admin/updateProduct.jsp";
            
            RequestDispatcher dispatcher =
            getServletContext().getRequestDispatcher(url);
            dispatcher.forward(request, response);      
         
    
    }
protected void doGet(HttpServletRequest request, 
                         HttpServletResponse response)
                         throws ServletException, IOException
    {
        
         String Code = request.getParameter("productCode");
        String Description = request.getParameter("productDesc");
        String Price = request.getParameter("productPrice");
        
        if(Price == null)
        Price="0.0";
        Double Pricedb = Double.parseDouble(Price);
        
        if(Code == null)
        Code = ""; 
        
        if(Description == null)
        Description = "";
        
        Product product = new Product(Code, Description, Pricedb);
        String message = ""; 
        String url = "";
        
                 ServletContext sc = getServletContext();
            String path = sc.getRealPath("WEB-INF/ProductList.txt");
            url="/admin/updateProduct.jsp";
            request.setAttribute("Code", Code);
            request.setAttribute("Description", Description);
            request.setAttribute("Price", Price);
         
            request.setAttribute("message", message);
            RequestDispatcher dispatcher =
            getServletContext().getRequestDispatcher(url);
            dispatcher.forward(request, response);      
         
    
    }
    
}
