
package product;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.*;

import business.*;
import data.*;
import java.util.ArrayList;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;

/**
 *
 * @author theebasoundararajan
 */
@WebServlet(name = "DisplayProductServlet", urlPatterns = {"/admin/displayProduct"})
public class DisplayProductServlet extends HttpServlet 
{

    
    
    protected void doPost(HttpServletRequest request, 
                         HttpServletResponse response)
                         throws ServletException, IOException
    {
        
        request.setAttribute("test", "test!");
        
        ServletContext sc = getServletContext();
        String path = sc.getRealPath("WEB-INF/ProductList.txt");
        
        ArrayList<Product> productList = new ArrayList<Product>();
        productList = ProductDB.selectProducts();
        request.setAttribute("productList", productList);
        request.setAttribute("products", "products");
        RequestDispatcher dispatcher =
                getServletContext().getRequestDispatcher("/admin/displayProduct.jsp");
        dispatcher.forward(request, response);
    }
    
    protected void doGet(HttpServletRequest request, 
                         HttpServletResponse response)
                         throws ServletException, IOException
    {
        
        request.setAttribute("test", "test!");
        
        ServletContext sc = getServletContext();
        String path = sc.getRealPath("WEB-INF/ProductList.txt");
        
        ArrayList<Product> productList = new ArrayList<Product>();
        productList = ProductDB.selectProducts();
        
        request.setAttribute("productList", productList);
        request.setAttribute("products", "products");
        
        
        RequestDispatcher dispatcher =
                getServletContext().getRequestDispatcher("/admin/displayProduct.jsp");
        dispatcher.forward(request, response);
    }
    
}
